# Contracts (Agreements & Promotions) ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Export a PDF File - [POST /contractmanager.fetchpdf/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.exportpdf-uniquename.md): Downloads the PDF file of the specified A&P. CloudConvert must be enabled (Administration > Configuration > External Systems > CloudConvert). ## List Contracts - [POST /fetch/CT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-fetch-ct.md): Returns a list of Agreements and Promotions (formerly Contracts). ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## Submit a Quote/Contract/Rebate Agreement - [POST /clicmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.submit-typedid.md): Submits a Contract, Quote, or Rebate Agreement. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Get a Contract - [POST /contractmanager.fetch/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.fetch-uniquename.md): Retrieves details of the specified Contract. ## Add Contract Line Items - [POST /contractmanager.additems](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.additems.md): Adds line items and recalculates the Contract. ## Upsert a Contract - [POST /contractmanager.save](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.save.md): Creates or updates a Contract. To update a Contract, specify an existing uniqueName. >This endpoint is not allowed to modify the document status and workflow status. ## Submit a Contract - [POST /contractmanager.submit](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.submit.md): Submits the Contract. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## List Contract Price Records - [POST /fetch/CPR](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-fetch-cpr.md): Retrieves Contract Price Records (CPR). Use the filter (see the request sample) to exclude Quote Price Records from the returned Price Records. >To work with Contract Price Records, the option enableAPRecalculation must be set to true. Navigate to Administration > Configuration > System Configuration > Advanced Configuration Options and add the enableAPRecalculation option. ## List Contract Calculations - [POST /fetch/CTC](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-fetch-ctc.md): Retrieves Contract Calculations. >To work with Contract Calculations, the option enableAPRecalculation must be set to true. Navigate to Administration > Configuration > System Configuration > Advanced Configuration Options and add the enableAPRecalculation option. ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Undo Agreement & Promotion Revocation - [POST /contractmanager.undorevoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-contractmanager.undorevoke-typedid.md): Reverts the action 'Revoke Agreement & Promotion' and returns the Agreement/Promotion back to the Approved status. It is useful if the user revokes an Agreement/Promotion by mistake. There is no button for this action available in the UI. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## Submit a Quote/Contract/Rebate Agreement - [POST /clicmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.submit-typedid.md): Submits a Contract, Quote, or Rebate Agreement. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used.